
package com.javacodegeeks.examples.jaxws;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.javacodegeeks.examples.jaxws package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetStateCapitalRequest_QNAME = new QName("http://jaxws.examples.javacodegeeks.com/", "getStateCapitalRequest");
    private final static QName _GetStateCapitalResponse_QNAME = new QName("http://jaxws.examples.javacodegeeks.com/", "getStateCapitalResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.javacodegeeks.examples.jaxws
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetStateCapitalRequest }
     * 
     */
    public GetStateCapitalRequest createGetStateCapitalRequest() {
        return new GetStateCapitalRequest();
    }

    /**
     * Create an instance of {@link GetStateCapitalResponse }
     * 
     */
    public GetStateCapitalResponse createGetStateCapitalResponse() {
        return new GetStateCapitalResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStateCapitalRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://jaxws.examples.javacodegeeks.com/", name = "getStateCapitalRequest")
    public JAXBElement<GetStateCapitalRequest> createGetStateCapitalRequest(GetStateCapitalRequest value) {
        return new JAXBElement<GetStateCapitalRequest>(_GetStateCapitalRequest_QNAME, GetStateCapitalRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetStateCapitalResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://jaxws.examples.javacodegeeks.com/", name = "getStateCapitalResponse")
    public JAXBElement<GetStateCapitalResponse> createGetStateCapitalResponse(GetStateCapitalResponse value) {
        return new JAXBElement<GetStateCapitalResponse>(_GetStateCapitalResponse_QNAME, GetStateCapitalResponse.class, null, value);
    }

}
